/**************************************************************
Testprogramm fr Tastatur und LCD-Display am externen Datenbus
Hinweis:		Die Programmmodule lcd8.c und tastatur8.c mssen ins Projekt
				gelinkt werden.
Beschreibung:	Zeigt die Tastaturmatrix 4x4 auf dem Display an und 
				hebt bettigte Tasten hervor!
Autor: R.Rahm			Datum: 12.5.2010
******************************************************************/
// Headerdateien inkludieren
#include <stdio.h>
#include <5131.h>
#include <lcd8.h>
#include <tastatur8.h>

void main(void)
{
	unsigned char keycode,key,n;
	unsigned char buffer[16];
	bit bTest;
	
	InitDisp();

        for (n=0;n!=4;n++)
	{ SetCursor(AdresseZeile1 + 9 + n*2);
	  OutChar(KeyToAscii(4-n));
	  SetCursor(AdresseZeile2 + 9 + n*2);
	  OutChar(KeyToAscii(8-n));
	  SetCursor(AdresseZeile3 + 9 + n*2);
	  OutChar(KeyToAscii(12-n));
	  SetCursor(AdresseZeile4 + 9 + n*2);
	  OutChar(KeyToAscii(16-n));
	}
	
	while(1)
	{
	
            for (n=0;n!=4;n++)
	     { SetCursor(AdresseZeile1 + n*2);
	       bTest = ScanKey(4-n);
	       if (bTest) OutChar(KeyToAscii(4-n));
	       else OutChar(0xff);
	       SetCursor(AdresseZeile2 + n*2);
	       bTest = ScanKey(8-n);   
	       if (bTest) OutChar(KeyToAscii(8-n));
	       else OutChar(0xff);
	        SetCursor(AdresseZeile3 + n*2);
	       bTest = ScanKey(12-n);   
	       if (bTest) OutChar(KeyToAscii(12-n));
	       else OutChar(0xff);
	       SetCursor(AdresseZeile4 + n*2);
	       bTest = ScanKey(16-n);   
	       if (bTest) OutChar(KeyToAscii(16-n));
	       else OutChar(0xff);
	     }
	}
}
	
	
	
	
	
