#ifndef _TASTATUR8_H_
#define _TASTATUR8_H_

//Deklaration der Funktionsprototypen ...
//... Displaysteuerung
extern unsigned char GetKeycode(void);			//liefert den Keycode der bettigeten Taste oder 0
extern bit ScanKey(unsigned char keycode);		//berprft ab eine Taste bettigt ist
extern unsigned char WaitOnKey(void);			//wartet auf Tastendruck und liefert den keycode!
extern unsigned char KeyToAscii(unsigned char keycode); //wandelt einen Keycode in das ASCII-Tastaturzeichen
extern unsigned char AsciiToKey(unsigned char ASCII);	//wandelt einen ASCII-code in den Keycode oder 0

#ifdef _LCD8_H_
// Stellt ein Eingabe-Prompt auf dem Display dar. Das Display muss vorher initialisiert werden!
// Die Eingabe wird als Text im Puffer bergeben. Rckgabewert ist die Anzahl der gelesenen Zeichen bis ' '
extern unsigned char EingabePrompt(unsigned char *buf, unsigned char StartAdresse,unsigned char AnzahlZeichen);
#endif

#endif
